__gnu_parallel::_LoserTreeUnguarded< __stable, _Tp, _Compare >(3cxx)

NAME
__gnu_parallel::_LoserTreeUnguarded< __stable, _Tp, _Compare > - Stable implementation of unguarded _LoserTree.

SYNOPSIS

Inherits __gnu_parallel::_LoserTreeUnguardedBase< _Tp, _Compare >.

  Public Member Functions

_LoserTreeUnguarded (unsigned int __k, const _Tp &__sentinel, _Compare __comp=std::less< _Tp >())
void __delete_min_insert (_Tp __key, bool)
int __get_min_source ()
void __init ()
unsigned int __init_winner (unsigned int __root)
void __insert_start (const _Tp &__key, int __source, bool)

  Protected Attributes

_Compare _M_comp
unsigned int _M_ik
unsigned int _M_k
_Loser * _M_losers
unsigned int _M_offset

Detailed Description

  template<bool __stable, typename _Tp, typename _Compare>
class __gnu_parallel::_LoserTreeUnguarded< __stable, _Tp, _Compare >" Stable implementation of unguarded _LoserTree.

Unstable variant is selected below with partial specialization.

Definition at line 646 of file losertree.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.